Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.app.event
Class IncludeEventHandler.IncludeEventExecutor

    java.lang.Object
      org.apache.velocity.app.event.IncludeEventHandler.IncludeEventExecutor

All Implemented Interfaces:
  EventHandlerMethodExecutor

Enclosing class:
  IncludeEventHandler

public static class IncludeEventHandler.IncludeEventExecutor
extends Object
implements EventHandlerMethodExecutor

Defines the execution strategy for includeEvent

Method Summary
`void` | `execute(EventHandler handler)` Call the method includeEvent()
`Object` | `getReturnValue()` Get return value at end of all the iterations
`boolean` | `isDone()` Called after execute() to see if iterating should stop.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### execute

    public void execute(EventHandler handler)

  Call the method includeEvent()

  Specified by:
    `execute` in interface `EventHandlerMethodExecutor`
  Parameters:
    `handler` - call the appropriate method on this handler

### getReturnValue

    public Object getReturnValue()

  Description copied from interface: `EventHandlerMethodExecutor`
  Get return value at end of all the iterations

  Specified by:
    `getReturnValue` in interface `EventHandlerMethodExecutor`
  Returns:
    null if no return value is required

### isDone

    public boolean isDone()

  Description copied from interface: `EventHandlerMethodExecutor`
  Called after execute() to see if iterating should stop. Should always return false before method execute() is run.

  Specified by:
    `isDone` in interface `EventHandlerMethodExecutor`
  Returns:
    true if no more event handlers for this method should be called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.